%define module vine

Name:           python-%{module}
Version:        5.0.0
Release:        %mkrel 1
Summary:        Promises, promises, promises
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/vine/
Source0:        %{module}-%{version}.tar.xz
BuildArch:      noarch

%description
%{summary}.


%package -n python3-%{module}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-case

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%files -n python3-%{module}
%{python3_sitelib}/*

%changelog
* Wed Aug 17 2022 tex
- new version

* Sun Apr 15 2018 marcin82 <fixxer1982 at gmail.com> 1.1.4-1pclos2018
- initial build
